const c = function() {
  const t = Object.assign({}, arguments.length <= 0 ? void 0 : arguments[0]);
  for (let e = 1; e < arguments.length; e++) {
    const n = e < 0 || arguments.length <= e ? void 0 : arguments[e];
    n && Object.keys(n).forEach((s) => {
      const u = n[s];
      u !== void 0 && (t[s] = u);
    });
  }
  return t;
}, r = c;
export {
  r as default
};
